curl --request POST \
--url 'https://api.brightdata.com/datasets/v3/scrape?dataset_id=gd_ltppn085pokosxh13&include_errors=true' \
--header "Authorization: Bearer YOUR_API_KEY" \
--header "Content-Type: application/json" \
--data '{"input": [{"url": "https://www.instagram.com/cats_of_instagram/reel/C4GLo_eLO2e/"}, {"url": "https://www.instagram.com/catsofinstagram/p/CesFC7JLyFl/?img_index=1"}, {"url": "https://www.instagram.com/cats_of_instagram/reel/C2TmNOVMSbG/"}]}'[
{
"url": "https://www.instagram.com/nato",
"comment_user": "met***han***r",
"comment_user_url": "https://www.instagram.com/metlushanigor",
"comment_date": "2026-03-14T01:13:08.000Z",
"comment": "В реальних бойових діях ці танки за 5 хвилин будуть знищені,а солдати ще менше проживуть. Ви відстає НАТО на пʼять років",
"likes_number": 0,
"replies_number": 0,
"replies": null,
"hashtag_comment": null,
"tagged_users_in_comment": null,
"post_url": "https://www.instagram.com/p/DVyB2KkjS07/",
"post_user": "******",
"comment_id": "18168596065410257",
"post_id": "3851148751604100411_985168596"
}
]
Instagram
按URL收集评论
POST
/
datasets
/
v3
/
scrape
curl --request POST \
--url 'https://api.brightdata.com/datasets/v3/scrape?dataset_id=gd_ltppn085pokosxh13&include_errors=true' \
--header "Authorization: Bearer YOUR_API_KEY" \
--header "Content-Type: application/json" \
--data '{"input": [{"url": "https://www.instagram.com/cats_of_instagram/reel/C4GLo_eLO2e/"}, {"url": "https://www.instagram.com/catsofinstagram/p/CesFC7JLyFl/?img_index=1"}, {"url": "https://www.instagram.com/cats_of_instagram/reel/C2TmNOVMSbG/"}]}'[
{
"url": "https://www.instagram.com/nato",
"comment_user": "met***han***r",
"comment_user_url": "https://www.instagram.com/metlushanigor",
"comment_date": "2026-03-14T01:13:08.000Z",
"comment": "В реальних бойових діях ці танки за 5 хвилин будуть знищені,а солдати ще менше проживуть. Ви відстає НАТО на пʼять років",
"likes_number": 0,
"replies_number": 0,
"replies": null,
"hashtag_comment": null,
"tagged_users_in_comment": null,
"post_url": "https://www.instagram.com/p/DVyB2KkjS07/",
"post_user": "******",
"comment_id": "18168596065410257",
"post_id": "3851148751604100411_985168596"
}
]
查询参数
string
默认值:"gd_ltppn085pokosxh13"
必填
用于此请求的数据集 ID。
必须设置为
gd_ltppn085pokosxh13 以收集按 URL 的评论数据。boolean
默认值:false
请求完成时是否发送通知。
boolean
默认值:true
是否在响应中包含错误。
请求正文
object[]
必填
[
{
"url": "https://www.instagram.com/nato",
"comment_user": "met***han***r",
"comment_user_url": "https://www.instagram.com/metlushanigor",
"comment_date": "2026-03-14T01:13:08.000Z",
"comment": "В реальних бойових діях ці танки за 5 хвилин будуть знищені,а солдати ще менше проживуть. Ви відстає НАТО на пʼять років",
"likes_number": 0,
"replies_number": 0,
"replies": null,
"hashtag_comment": null,
"tagged_users_in_comment": null,
"post_url": "https://www.instagram.com/p/DVyB2KkjS07/",
"post_user": "******",
"comment_id": "18168596065410257",
"post_id": "3851148751604100411_985168596"
}
]
授权
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
查询参数
Must be gd_ltppn085pokosxh13 for this dataset.
Send notifications when the request is completed.
Include errors in the response.
请求体
application/json
Array of input objects. See Request Body below for the supported fields.
Show child attributes
Show child attributes
响应
200 - application/json
OK. See response example below the parameters.
此页面对您有帮助吗?